import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classnames } from "./classnames.js";
const alignment = (arg) => arg ? (arg === "center" ? "is-centered" : `is-${arg}`) : undefined;
const are = (arg) => arg ? `are-${arg}` : undefined;
const is = (arg) => arg ? `is-${arg}` : undefined;
export const A = ({ bulma, className, children, ...props }) => (_jsx("a", { className: classnames(className, bulma), ...props, children: children }));
export const Div = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, bulma), ...props, children: children }));
export const P = ({ bulma, className, children, ...props }) => (_jsx("p", { className: classnames(className, bulma), ...props, children: children }));
export const Span = ({ bulma, className, children, ...props }) => (_jsx("span", { className: classnames(className, bulma), ...props, children: children }));
export const Breadcrumb = ({ align, separator, size, bulma, className, children, ...props }) => (_jsx("nav", { className: classnames(className, "breadcrumb", alignment(align), separator ? `has-${separator}-separator` : undefined, is(size), bulma), ...props, children: children }));
export const BreadcrumbItem = ({ isActive, className, children, ...props }) => (_jsx("li", { className: classnames(className, { "is-active": isActive }), children: _jsx("a", { ...props, children: children }) }));
export const Button = ({ isLoading, isFullwidth, isOutlined, isSkeleton, color, isInverted, isRounded, size, variant, bulma, className, children, ...props }) => (_jsx("button", { className: classnames(className, "button", is(color), is(variant), is(size), {
        "is-fullwidth": isFullwidth,
        "is-inverted": isInverted,
        "is-loading": isLoading,
        "is-outlined": isOutlined,
        "is-rounded": isRounded,
        "is-skeleton": isSkeleton,
    }, bulma), ...props, children: children }));
export const Buttons = ({ size, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "buttons", are(size), bulma), ...props, children: children }));
export const Cell = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "cell", bulma), ...props, children: children }));
export const Card = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "card", bulma), ...props, children: children }));
export const CardContent = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "card-content", bulma), ...props, children: children }));
export const CardFooter = ({ bulma, className, children, ...props }) => (_jsx("footer", { className: classnames(className, "card-footer", bulma), ...props, children: children }));
export const CardHeader = ({ bulma, className, children, ...props }) => (_jsx("footer", { className: classnames(className, "card-header", bulma), ...props, children: children }));
export const CardHeaderIcon = ({ bulma, className, children, ...props }) => (_jsx("button", { className: classnames(className, "card-header-icon", bulma), ...props, children: children }));
export const CardHeaderTitle = ({ bulma, className, children, ...props }) => (_jsx("p", { className: classnames(className, "card-header-title", bulma), ...props, children: children }));
export const Checkbox = ({ children, ...props }) => (_jsxs("label", { className: "checkbox", children: [_jsx("input", { type: "checkbox", ...props }), children] }));
export const Column = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "column", bulma), ...props, children: children }));
export const Columns = ({ isDesktop, isGapless, isMobile, isMultiline, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "columns", {
        "is-gapless": isGapless,
        "is-desktop": isDesktop,
        "is-mobile": isMobile,
        "is-multiline": isMultiline,
    }, bulma), ...props, children: children }));
export const Container = ({ isFluid, isFullhd, isMax, isWidescreen, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "container", {
        "is-fluid": isFluid,
        "is-fullhd": isFullhd,
        "is-max-desktop": isMax === "desktop",
        "is-max-widescreen": isMax === "widescreen",
        "is-widescreen": isWidescreen,
    }, bulma), ...props, children: children }));
export const Content = ({ size, isSkeleton, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "content", is(size), { "is-skeleton": isSkeleton }, bulma), ...props, children: children }));
export const Control = ({ hasIconsLeft, hasIconsRight, isExpanded, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "control", {
        "is-expanded": isExpanded,
        "has-icons-left": hasIconsLeft,
        "has-icons-right": hasIconsRight,
    }, bulma), ...props, children: children }));
export const Delete = ({ size, className, children, ...props }) => (_jsx("button", { className: classnames(className, "delete", is(size)), ...props }));
export const Field = ({ hasAddons, isGrouped, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "field", {
        "has-addons": hasAddons,
        "has-addons-centered": hasAddons === "centered",
        "has-addons-right": hasAddons === "right",
        "is-grouped": isGrouped,
        "is-grouped-centered": isGrouped === "centered",
        "is-grouped-multiline": isGrouped === "multiline",
        "is-grouped-right": isGrouped === "right",
    }, bulma), ...props, children: children }));
export const FieldBody = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "field-body", bulma), ...props, children: children }));
export const FieldHorizontal = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "field", "is-horizontal", bulma), ...props, children: children }));
export const FieldLabel = ({ isNormal, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "field-label", {
        "is-normal": isNormal,
    }, bulma), ...props, children: children }));
export const FileUpload = ({ align, color, cta, hasName, isBoxed, isFullwidth, size, bulma, className, ...props }) => (_jsx("div", { className: classnames(className, "file", is(color), is(size), alignment(align), {
        "has-name": hasName,
        "is-boxed": isBoxed,
        "is-fullwidth": isFullwidth,
    }, bulma), children: _jsxs("label", { className: "file-label", children: [_jsx("input", { type: "file", ...props }), cta ? _jsx("span", { className: "file-cta", children: cta }) : null, hasName ? _jsx("span", { className: "file-name", children: hasName }) : null] }) }));
export const FileIcon = ({ bulma, className, children, ...props }) => (_jsx("span", { className: classnames(className, "file-icon", bulma), ...props, children: children }));
export const FileLabel = ({ bulma, className, children, ...props }) => (_jsx("span", { className: classnames(className, "file-label", bulma), ...props, children: children }));
export const FixedGrid = ({ hasAutoCount, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "fixed-grid", {
        "has-auto-count": hasAutoCount,
    }, bulma), ...props, children: _jsx("div", { className: "grid", children: children }) }));
export const Footer = ({ bulma, className, children, ...props }) => (_jsx("footer", { className: classnames(className, "footer", bulma), ...props, children: children }));
export const Grid = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "grid", bulma), ...props, children: children }));
export const Help = ({ color, bulma, className, children, ...props }) => (_jsx("p", { className: classnames(className, "help", is(color), bulma), ...props, children: children }));
export const Hero = ({ color, size, isHalfheight, isFullheight, isFullheightWithNavbar, bulma, className, children, ...props }) => (_jsx("section", { className: classnames(className, "hero", is(color), is(size), {
        "is-halfheight": isHalfheight,
        "is-fullheight": isFullheight,
        "is-fullheight-with-navbar": isFullheightWithNavbar,
    }, bulma), ...props, children: children }));
export const HeroBody = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "hero-body", bulma), ...props, children: children }));
export const HeroFoot = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "hero-foot", bulma), ...props, children: children }));
export const HeroHead = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "hero-head", bulma), ...props, children: children }));
export const Icon = ({ align, isSkeleton, size, bulma, className, children, ...props }) => (_jsx("span", { className: classnames(className, "icon", alignment(align), is(size), {
        "is-skeleton": isSkeleton,
    }, bulma), ...props, children: children }));
export const IconText = ({ bulma, className, children, ...props }) => (_jsx("span", { className: classnames(className, "icon-text", bulma), ...props, children: children }));
export const Image = ({ dimension, isSkeleton, isSquare, ratio, bulma, className, children, ...props }) => (_jsx("figure", { className: classnames(className, "image", dimension ? `is-${dimension}` : undefined, ratio ? `is-${ratio}` : undefined, {
        "is-skeleton": isSkeleton,
        "is-square": isSquare,
    }, bulma), ...props, children: children }));
export const Input = ({ bulma, className, color, isSkeleton, size, ...props }) => (_jsx("input", { className: classnames(className, "input", is(color), is(size), {
        "is-skeleton": isSkeleton,
    }, bulma), ...props }));
export const Label = ({ bulma, className, children, ...props }) => (_jsx("label", { className: classnames(className, "label", bulma), ...props, children: children }));
export const Media = ({ bulma, className, children, ...props }) => (_jsx("article", { className: classnames(className, "media", bulma), ...props, children: children }));
export const MediaContent = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "media-content", bulma), ...props, children: children }));
export const MediaLeft = ({ dimension, bulma, className, children, ...props }) => (_jsx("figure", { className: classnames(className, "media-left", bulma), ...props, children: _jsx("p", { className: classnames("image", dimension ? `is-${dimension}` : undefined), children: children }) }));
export const MediaRight = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "media-right", bulma), ...props, children: children }));
export const Menu = ({ bulma, className, children, ...props }) => (_jsx("aside", { className: classnames(className, "menu", bulma), ...props, children: children }));
export const MenuLabel = ({ bulma, className, children, ...props }) => (_jsx("p", { className: classnames(className, "menu-label", bulma), ...props, children: children }));
export const MenuList = ({ bulma, className, children, ...props }) => (_jsx("ul", { className: classnames(className, "menu-list", bulma), ...props, children: children }));
export const Message = ({ color, size, header, bulma, className, children, ...props }) => (_jsxs("article", { className: classnames(className, "message", is(color), is(size), bulma), ...props, children: [header ? _jsx("div", { className: "message-header", children: header }) : null, _jsx("div", { className: "message-body", children: children })] }));
export const Modal = ({ noBackground, size, bulma, className, children, ...props }) => (_jsxs("div", { className: classnames(className, "modal", is(size), bulma), ...props, children: [noBackground ? null : _jsx("div", { className: "modal-background" }), children] }));
export const ModalCard = ({ head, foot, className, children, ...props }) => (_jsxs("div", { className: classnames(className, "modal-card"), ...props, children: [_jsx("div", { className: "modal-card-head", children: head }), children, _jsxs("div", { className: "modal-card-foot", children: [" ", foot, " "] })] }));
export const ModalClose = ({ size, className, ...props }) => (_jsx("button", { className: classnames(className, "modal-close", is(size)), ...props }));
export const ModalContent = ({ bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "modal-content", bulma), ...props, children: children }));
export const Navbar = ({ color, role = "navigation", bulma, className, children, ...props }) => (_jsx("nav", { className: classnames(className, "navbar", is(color), bulma), role: role, ...props, children: children }));
export const NavbarBrand = ({ children }) => (_jsx("div", { className: "navbar-brand", children: children }));
export const NavbarBurger = ({ isActive, ...props }) => (_jsxs("a", { className: classnames("navbar-burger", { "is-active": isActive }), role: "button", "aria-expanded": isActive ? "true" : "false", ...props, children: [_jsx("span", { "aria-hidden": "true" }), _jsx("span", { "aria-hidden": "true" }), _jsx("span", { "aria-hidden": "true" }), _jsx("span", { "aria-hidden": "true" })] }));
export const NavbarDivider = () => _jsx("hr", { className: "navbar-divider" });
export const NavbarDropdown = ({ align, isBoxed, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "navbar-dropdown", alignment(align), {
        "is-boxed": isBoxed,
    }, bulma), ...props, children: children }));
export const NavbarDropdownMenu = ({ hasDropdownUp, isActive, isHoverable, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "navbar-item", "has-dropdown", {
        "has-dropdown-up": hasDropdownUp,
        "is-active": isActive,
        "is-hoverable": isHoverable,
    }, bulma), ...props, children: children }));
export const NavbarEnd = ({ children }) => (_jsx("div", { className: "navbar-end", children: children }));
export const NavbarItem = ({ isSelected, bulma, className, children, ...props }) => (_jsx("a", { className: classnames(className, "navbar-item", {
        "is-selected": isSelected,
    }, bulma), ...props, children: children }));
export const NavbarLink = ({ isArrowless, bulma, className, children, ...props }) => (_jsx("a", { className: classnames(className, "navbar-link", {
        "is-arrowless": isArrowless,
    }, bulma), ...props, children: children }));
export const NavbarMenu = ({ isActive, children, }) => (_jsx("div", { className: classnames("navbar-menu", { "is-active": isActive }), children: children }));
export const NavbarStart = ({ children }) => (_jsx("div", { className: "navbar-start", children: children }));
export const Notification = ({ color, isSkeleton, variant, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "notification", is(color), is(variant), {
        "is-skeleton": isSkeleton,
    }, bulma), ...props, children: children }));
export const Pagination = ({ align, size, role = "navigation", bulma, className, children, ...props }) => (_jsx("nav", { className: classnames(className, "pagination", is(size), alignment(align), bulma), role: role, ...props, children: children }));
export const PaginationEllipsis = () => (_jsx("span", { className: "pagination-ellipsis", children: "\u2026" }));
export const PaginationLink = ({ isCurrent, bulma, className, children, ...props }) => (_jsx("a", { className: classnames(className, "pagination-link", { "is-current": isCurrent }, bulma), ...props, children: children }));
export const PaginationList = ({ bulma, className, children, ...props }) => (_jsx("ul", { className: classnames(className, "pagination-list", bulma), ...props, children: children }));
export const PaginationNext = ({ isDisabled, bulma, className, children, ...props }) => (_jsx("a", { className: classnames(className, "pagination-next", {
        "is-disabled": isDisabled,
    }, bulma), ...props, children: children }));
export const PaginationPrevious = ({ isDisabled, bulma, className, children, ...props }) => (_jsx("a", { className: classnames(className, "pagination-previous", {
        "is-disabled": isDisabled,
    }, bulma), ...props, children: children }));
export const Progress = ({ size, bulma, className, children, ...props }) => (_jsx("progress", { className: classnames(className, "progress", is(size), bulma), ...props, children: children }));
export const Radio = ({ children, ...props }) => (_jsxs("label", { className: "radio", children: [_jsx("input", { type: "radio", ...props }), children] }));
export const Section = ({ size, bulma, className, children, ...props }) => (_jsx("section", { className: classnames(className, "section", is(size), bulma), ...props, children: children }));
export const Select = ({ options, isFullwidth, isLoading, isRounded, size, bulma, className, ...props }) => (_jsx("div", { className: classnames(className, "select", is(size), {
        "is-loading": isLoading,
        "is-fullwidth": isFullwidth,
        "is-rounded": isRounded,
    }, bulma), children: _jsx("select", { ...props, children: options.map((option) => (_jsx("option", { ...option }, option.value?.toString()))) }) }));
export const SkeletonLines = ({ num }) => (_jsx("div", { className: "skeleton-lines", children: Array.from({ length: num }, (_, i) => (_jsx("div", {}, i))) }));
export const Subtitle = ({ hasSkeleton, is, isSkeleton, tag: Tag = "p", bulma, className, children, ...props }) => (_jsx(Tag, { className: classnames(className, "title", is ? `is-${is}` : undefined, {
        "has-skeleton": hasSkeleton,
        "is-skeleton": isSkeleton,
    }, bulma), ...props, children: children }));
export const Table = ({ bulma, className, children, ...props }) => (_jsx("div", { className: "table-container", children: _jsx("table", { className: classnames(className, "table", bulma), ...props, children: children }) }));
export const Tabs = ({ align, isBoxed, isFullwidth, isToggle, isToggleRounded, size, bulma, className, children, ...props }) => (_jsx("div", { className: classnames(className, "tabs", is(size), alignment(align), {
        "is-boxed": isBoxed,
        "is-fullwidth": isFullwidth,
        "is-toggle": isToggle,
        "is-toggle-rounded": isToggleRounded,
    }, bulma), ...props, children: _jsx("ul", { children: children }) }));
export const Tab = ({ isActive, className, children, ...props }) => (_jsx("li", { className: classnames(className, { "is-active": isActive }), children: _jsx("a", { ...props, children: children }) }));
export const Tag = ({ color, isHoverable, isRounded, isSkeleton, size, variant, bulma, className, children, ...props }) => (_jsx("span", { className: classnames(className, "tag", is(color), is(variant), is(size), {
        "is-hoverable": isHoverable,
        "is-rounded": isRounded,
        "is-skeleton": isSkeleton,
    }, bulma), ...props, children: children }));
export const Tags = ({ hasAddons, size, className, children, ...props }) => (_jsx("div", { className: classnames(className, "tags", are(size), {
        "has-addons": hasAddons,
    }), ...props, children: children }));
export const Textarea = ({ color, isLoading, isSkeleton, size, bulma, className, ...props }) => (_jsx("textarea", { className: classnames(className, "textarea", is(color), is(size), {
        "is-loading": isLoading,
        "is-skeleton": isSkeleton,
    }, bulma), ...props }));
export const Title = ({ hasSkeleton, is, isSpaced, isSkeleton, tag: Tag = "p", bulma, className, children, ...props }) => (_jsx(Tag, { className: classnames(className, "title", is ? `is-${is}` : undefined, {
        "has-skeleton": hasSkeleton,
        "is-skeleton": isSkeleton,
        "is-spaced": isSpaced,
    }, bulma), ...props, children: children }));
